/smart-transfers/preauthorizationsCreate preauthorization
Creates the smart transfer preauthorization resource
Request Body
requiredCreate smart transfer preauthorization request data
Primary identifier of the connector
Credentials neccesary to create a smart transfer preauthorization
CPF of the payer
CNPJ of the payer
Primary identifier of the payment recipient
Redirect urls after the preauthorization flow was completed or ended in error status
Url to be redirected after the preauthorization was completed
Url to be redirected after the preauthorization ended in error status
Client preauthorization identifier
Smart transfer preauthorization configuration
Maximum amount to be reached by the sum of all transactions that use the consent authorized by the customer.
Maximum amount for each payment transaction associated with this consent.
Transactional limits per period as determined by the paying user.
Responses
Smart transfer preauthorization
Preauthorization primary identifier
Preauthorization lifecycle status. - `CREATED`: the preauthorization was created and is awaiting the payer's consent (see `consentUrl`). - `COMPLETED`: the payer authorized the consent. The preauthorization can now be used to execute payments. - `REJECTED`: the payer rejected the consent. - `REVOKED`: the consent was revoked after being authorized. - `ERROR`: the preauthorization flow failed unexpectedly (see `errorDetail`).
Url to give the consent in the institution
Client preauthorization identifier
Redirect urls after the preauthorization flow was completed or ended in error status
Url to be redirected after the preauthorization was completed
Url to be redirected after the preauthorization ended in error status
Bank-account payment recipient. Returned by `/payments/recipients` endpoints and embedded inside payment requests when the request targets a registered recipient.
Connector object
Primary identifier
Name of the institution
Homepage of the institution
Image of the logo hosted by Pluggy
Primary color
Type of institution
Country located
Parameters required to start the connection
Does the connector require an MFA to execute?
Products supported by the connector
If 'true', the connector requires an Oauth flow to execute
URL to perform Oauth flow if needed
URL to the financial institution to reset the password
Connector health status
Indicates if the connector uses the regulated Open Finance APIs
Indicates if the connector supports the payment initiation API
Indicates if the connector supports scheduled payments
Indicates if the connector supports smart transfers
Indicates if the connector supports boleto management
Indicates if the connector supports automatic Pix
Date of creation
Date of last modification
Date when the preauthorization was created
Date when the preauthorization was updated
Smart transfer preauthorization configuration
Maximum amount to be reached by the sum of all transactions that use the consent authorized by the customer.
Maximum amount for each payment transaction associated with this consent.
Transactional limits per period as determined by the paying user.
Error detail
Error code
Error description
Error detail
Example response
{
"id": "string",
"status": "COMPLETED",
"consentUrl": "string",
"clientPreauthorizationId": "string",
"callbackUrls": {},
"recipients": [
{
"type": "BANK_ACCOUNT",
"id": "5e9f8f8f-f8f8-4f8f-8f8f-8f8f8f8f8f8f",
"name": "Conta empresa",
"taxNumber": "12345678900",
"paymentInstitution": {
"id": "00000000-0000-0000-0000-000000000000",
"name": "Banco J. Safra S.A.",
"ispb": "03017677",
"tradeName": "Banco Safra",
"compe": "074",
"createdAt": "2020-04-21T15:00:00.000Z",
"updatedAt": "2020-04-21T15:00:00.000Z"
},
"account": {
"branch": "0001",
"number": "123456",
"type": "CHECKING_ACCOUNT"
},
"isDefault": false,
"pixKey": null,
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
}
],
"connector": {
"id": 601,
"name": "Itaú",
"primaryColor": "EC7000",
"institutionUrl": "https://www.itau.com.br",
"country": "BR",
"type": "PERSONAL_BANK",
"credentials": [
{
"validation": "^\\d{3}\\.?\\d{3}\\.?\\d{3}-?\\d{2}$",
"validationMessage": "CPF deve ter 11 números.",
"label": "CPF",
"name": "cpf",
"type": "number",
"placeholder": "",
"optional": false
}
],
"imageUrl": "https://cdn.pluggy.ai/assets/connector-icons/201.svg",
"hasMFA": false,
"oauth": true,
"health": {
"status": "ONLINE",
"stage": null
},
"products": [
"ACCOUNTS",
"TRANSACTIONS",
"IDENTITY",
"CREDIT_CARDS",
"PAYMENT_DATA",
"LOANS",
"INVESTMENTS"
],
"createdAt": "2023-09-01T18:05:09.145Z",
"isSandbox": false,
"isOpenFinance": true,
"updatedAt": "2024-07-16T15:34:08.028Z",
"supportsPaymentInitiation": true,
"supportsScheduledPayments": true,
"supportsSmartTransfers": true,
"supportsBoletoManagement": true,
"supportsAutomaticPix": true
},
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-01T00:00:00Z",
"configuration": {
"totalAllowedAmount": 0,
"transactionLimit": 0,
"periodicLimits": null
},
"errorDetail": {
"code": "string",
"description": "string",
"detail": "string"
}
}Code Examples
curl -X POST 'https://api.pluggy.ai/smart-transfers/preauthorizations' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY' \
-d '{}'